#!/usr/bin/perl -w

use strict;

my %counts;

while( <> )
{
  my ($scheme, $authority, $path, $query, $fragment) =
           m|(?:([^:/?#]+):)?(?://([^/?#]*))?([^?#]*)(?:\?([^#]*))?(?:#(.*))?|;
  my $tld= $authority;
  $tld =~ s/^.*\.//;
  ++$counts{$tld};
}

print join("\n", map "$_\t".$counts{$_}, sort keys %counts), "\n";

